## kcontrol-ldap-controller-trinity 14.0.4

=== debian/changelog ===
kcontrol-ldap-controller-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:15:06 +0200

kcontrol-ldap-controller-trinity (0.5-0ubuntu0) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

## kcontrol-ldap-controller-trinity 14.0.9

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( kcmldapcontroller )
set( VERSION R14.0.9 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all" ON )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### user defined options

set( KDE_CONFDIR          "/etc/trinity"                 CACHE STRING "Path for the config system" )
set( TDE_LIBDIR           "/opt/trinity/lib"             CACHE STRING "Path for the libraries"     )
set( LDAP_KEYTAB_FILE     "/etc/ldap/ldap.keytab"        CACHE STRING "Location for ldap.keytab"   )
set( LDAP_DEFAULT_FILE    "/etc/default/slapd"           CACHE STRING "ldap default file"          )
set( HEIMDAL_DEFAULT_FILE "/etc/default/heimdal-kdc"     CACHE STRING "Heimdal default file"       )
set( HEIMDAL_ACL_FILE     "/etc/heimdal-kdc/kadmind.acl" CACHE STRING "Heimdal acl file"           )
set( SASL_DEFAULT_FILE    "/etc/default/saslauthd"       CACHE STRING "Sasl default file"          )
set( SASL_CONTROL_FILE    "/etc/ldap/sasl2/slapd.conf"   CACHE STRING "sladp config file"          )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src          )
add_subdirectory( acl-updater  )
add_subdirectory( cert-updater )
add_subdirectory( confskel     )
add_subdirectory( pics         )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== src/CMakeLists.txt ===
add_subdirectory( primaryrealmwizard   )
add_subdirectory( secondaryrealmwizard )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${KRB5_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kcm_ldapcontroller (kpart)

tde_add_kpart( kcm_ldapcontroller AUTOMOC

  SOURCES
        ldapcontrollerconfigbase.ui
        multimasterreplicationconfigbase.ui
        ldapcontroller.cpp
        processingdialog.cpp
        sha1.cc
        multimasterreplicationconfigdlg.cpp
  LINK
     tdecore-shared
     tdeio-shared
     tdeui-shared
     tdesu-shared
     ${TDELDAP_LIBRARIES}
     primaryrealmwizard-static
     secondaryrealmwizard-static
     
  DEPENDENCIES
     primaryrealmwizard-static
     secondaryrealmwizard-static

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop( ldapcontroller.desktop )

## kcontrol-ldap-controller-trinity 14.0.5

=== debian/changelog ===
kcontrol-ldap-controller-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:22:56 +0200

=== debian/control ===
Source: kcontrol-ldap-controller-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, tdelibs14-trinity-dev, libldap2-dev, libtdeldap-trinity-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kcontrol-ldap-controller-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, heimdal-clients, heimdal-kdc, slapd, libsasl2-modules-gssapi-heimdal, sasl2-bin, openssl, libpam-ldap, libnss-ldap, nss-updatedb, libnss-db, nscd, ntp
Conflicts: tde-ldap-cert-updater
Description: Kerberos realm controller module for the Trinity control center
 This is a Trinity control center module to configure a Kerberos Realm Controller

## kcontrol-ldap-controller-trinity 14.0.6

=== debian/changelog ===
kcontrol-ldap-controller-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:20:21 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: kcontrol-ldap-controller-trinity
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, heimdal-clients, heimdal-kdc, slapd, libsasl2-modules-gssapi-heimdal, sasl2-bin, openssl, libpam-ldap, libnss-ldap, nss-updatedb, libnss-db, nscd, ntp
+Depends: ${shlibs:Depends}, ${misc:Depends}, heimdal-clients, heimdal-kdc, slapd, libsasl2-modules-gssapi-heimdal, sasl2-bin, openssl, libpam-ldap, libnss-ldap, nss-updatedb, libnss-db, nscd, ntp, sudo
 Conflicts: tde-ldap-cert-updater
 Description: Kerberos realm controller module for the Trinity control center
  This is a Trinity control center module to configure a Kerberos Realm Controller

## kcontrol-ldap-controller-trinity 14.0.8

=== debian/changelog ===
kcontrol-ldap-controller-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 19 Apr 2020 16:57:48 +0200

## kcontrol-ldap-controller-trinity 14.0.9

=== debian/changelog ===
kcontrol-ldap-controller-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:04:20 +0200

## kcontrol-ldap-controller-trinity 14.0.10

=== debian/changelog ===
kcontrol-ldap-controller-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
Source: kcontrol-ldap-controller-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev, libldap2-dev, slapi-dev | slapd, libtdeldap-trinity-dev
Standards-Version: 3.8.4

Package: kcontrol-ldap-controller-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, heimdal-clients, heimdal-kdc, slapd, libsasl2-modules-gssapi-heimdal, sasl2-bin, openssl, libpam-ldap, libnss-ldap, nss-updatedb, libnss-db, nscd, chrony | ntp | time-daemon, sudo
Conflicts: tde-ldap-cert-updater
Description: Kerberos realm controller module for the Trinity control center
 This is a Trinity control center module to configure a Kerberos Realm Controller

## kcontrol-ldap-controller-trinity 14.0.11

=== debian/changelog ===
kcontrol-ldap-controller-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kcmldapcontroller

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 19 Oct 2021 14:31:04 +0200

## kcontrol-ldap-controller-trinity 14.0.12

=== debian/changelog ===
kcontrol-ldap-controller-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kcmldapcontroller

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:39 +0100

## kcontrol-ldap-controller-trinity 14.0.13

=== debian/changelog ===
kcontrol-ldap-controller-trinity (4:14.0.13-0ubuntu22.04.0+0) jammy; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kcmldapcontroller

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 26 Jun 2022 09:12:48 +0200

## kcontrol-ldap-controller-trinity 14.1.0

=== debian/changelog ===
kcontrol-ldap-controller-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kcmldapcontroller

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## kcontrol-ldap-controller-trinity 14.1.1

=== debian/changelog ===
kcontrol-ldap-controller-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kcmldapcontroller

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 24 Jul 2023 04:17:30 +0200

## kcontrol-ldap-controller-trinity 14.1.2

=== debian/changelog ===
kcontrol-ldap-controller-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kcmldapcontroller

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:46 +0200

## kcontrol-ldap-controller-trinity 14.1.3

=== debian/changelog ===
kcontrol-ldap-controller-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kcmldapcontroller

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:10:00 +0200

## kcontrol-ldap-controller-trinity 14.1.4

=== debian/changelog ===
kcontrol-ldap-controller-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kcmldapcontroller

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## kcontrol-ldap-controller-trinity 14.1.5~pre0

=== debian/changelog ===
kcontrol-ldap-controller-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 8851ee65be6d511320d688e7396feb6ce99f46aa
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kcmldapcontroller

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kcontrol-ldap-controller-trinity 14.1.5~pre10

=== debian/changelog ===
kcontrol-ldap-controller-trinity (4:14.1.5~pre10-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 09752aaae38316c1cedb8606561af88b60d9e8cb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kcmldapcontroller

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 23 Oct 2025 23:34:40 +0200

## kcontrol-ldap-controller-trinity 14.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,16 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
 
 project( kcmldapcontroller )
-set( VERSION R14.0.9 )
 
 
 #### include essential cmake modules
@@ -29,7 +32,6 @@
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
 
 
@@ -84,7 +86,11 @@
 add_subdirectory( cert-updater )
 add_subdirectory( confskel     )
 add_subdirectory( pics         )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
+
+
+##### other data ################################
+
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== cert-updater/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}/tde
  ${KRB5_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### primaryrccertupdater (executable)

tde_add_executable( primaryrccertupdater

  SOURCES
        main.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     ${TDELDAP_LIBRARIES}
     ${KRB5_LIBRARIES}

  DESTINATION ${BIN_INSTALL_DIR}
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
         multimasterreplicationconfigbase.ui
         ldapcontroller.cpp
         processingdialog.cpp
-        sha1.cc
+        sha1.cpp
         multimasterreplicationconfigdlg.cpp
   LINK
      tdecore-shared

=== acl-updater/plugin/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}/tde
  ${KRB5_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### slapi-acl-manager (module)

tde_add_library( slapi-acl-manager MODULE

  SOURCES
        interface.c
        plugin.cpp
  LINK
     tdecore-shared
     ${TDELDAP_LIBRARIES}
     ${KRB5_LIBRARIES}
     ${SLAPI_LIBRARIES}
     
  DESTINATION ${LIB_INSTALL_DIR}
)

=== confskel/openldap/ldap/CMakeLists.txt ===
install(
    FILES
        slapd.conf
        slapd.defaults

    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/skel/openldap/ldap
)

=== debian/changelog ===
kcontrol-ldap-controller-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kcmldapcontroller

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 23 Oct 2025 23:34:40 +0200

## kcontrol-ldap-controller-trinity 14.1.6~pre0

=== debian/changelog ===
kcontrol-ldap-controller-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 09752aaae38316c1cedb8606561af88b60d9e8cb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kcmldapcontroller

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 23 Oct 2025 23:34:40 +0200

## kcontrol-ldap-controller-trinity 14.1.6~pre1

=== debian/changelog ===
kcontrol-ldap-controller-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for f1eeb42a3848d23b33500314ad7348ee85559c3a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kcmldapcontroller

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:47:42 +0100

## kcontrol-ldap-controller-trinity 14.2.0~pre23

=== debian/changelog ===
kcontrol-ldap-controller-trinity (4:14.2.0~pre23-0ubuntu25.10.0+6) questing; urgency=low

  * Automated git build for d230d2497d7abc9f40ef1da174afb09f53f4577d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kcmldapcontroller

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## kcontrol-ldap-controller-trinity 14.2.0~pre33

=== acl-updater/CMakeLists.txt ===
add_subdirectory( plugin )

=== confskel/heimdal/CMakeLists.txt ===
install(
    FILES
        heimdal.defaults
        kadmind.acl
        kdc.conf
        krb5.conf
        
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/skel/heimdal
)

=== confskel/sasl/CMakeLists.txt ===
install(
    FILES
        slapd.conf
        saslauthd.defaults
  
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/skel/sasl
)

=== src/secondaryrealmwizard/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}/tde
  ${CMAKE_SOURCE_DIR}/src
  ${KRB5_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### secondaryrealmwizard (static)

tde_add_library( secondaryrealmwizard STATIC_PIC AUTOMOC

  SOURCES
        realmintropagedlg.ui
        certconfigpagedlg.ui
        realmconfigpagedlg.ui
        realmfinishpagedlg.ui
        secondaryrealmwizard.cpp
        certconfigpage.cpp
        realmintropage.cpp
        realmconfigpage.cpp
        realmfinishpage.cpp
)

=== confskel/openldap/ldif/CMakeLists.txt ===
file( GLOB _ldifs RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.ldif )

install(
    FILES ${_ldifs}
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/skel/openldap/ldif
)

=== debian/changelog ===
kcontrol-ldap-controller-trinity (4:14.2.0~pre33-0debian13.0.0+6) trixie; urgency=low

  * Automated git build for 914586f4599fc9a3ed61cdbc919faa7d22ba08de
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kcmldapcontroller

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 23 Oct 2025 20:24:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev, libldap2-dev, slapi-dev | slapd, libtdeldap-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libldap2-dev, slapi-dev | slapd, libtdeldap-trinity-dev
 Standards-Version: 3.8.4
 
 Package: kcontrol-ldap-controller-trinity

## kcontrol-ldap-controller-trinity 14.2.0~pre34

=== debian/changelog ===
kcontrol-ldap-controller-trinity (4:14.2.0~pre34-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 105c570d04b6d50504dbc88b6c02272f0b23d062
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kcmldapcontroller

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:58:24 +0100
